Create CRM relationship definition
POST
/v1/crm/relationship-definitionsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsoncardinalitystringrequiredAllowed:
one_to_oneone_to_manymany_to_onemany_to_manyfrom_object_kindstringrequiredinverse_labelstringkeystringrequiredlabelstringrequiredto_object_kindstringrequiredResponses
200OK
cardinalitystringrequiredcreated_atstringrequiredfrom_object_kindstringrequiredidstringrequiredinverse_labelstringrequiredis_activebooleanrequiredis_systembooleanrequiredkeystringrequiredlabelstringrequiredto_object_kindstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring409Conflict
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/relationship-definitions" \
-H "Content-Type: application/json" \
-d '{
"cardinality": "one_to_one",
"from_object_kind": "string",
"inverse_label": "string",
"key": "string",
"label": "string",
"to_object_kind": "string"
}'const response = await fetch("/v1/crm/relationship-definitions", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"cardinality": "one_to_one",
"from_object_kind": "string",
"inverse_label": "string",
"key": "string",
"label": "string",
"to_object_kind": "string"
})
});import requests
response = requests.post(
"/v1/crm/relationship-definitions",
headers={
"Content-Type": "application/json"
},
json={
"cardinality": "one_to_one",
"from_object_kind": "string",
"inverse_label": "string",
"key": "string",
"label": "string",
"to_object_kind": "string"
},
)Response
{
"cardinality": "string",
"created_at": "string",
"from_object_kind": "string",
"id": "string",
"inverse_label": "string",
"is_active": true,
"is_system": true,
"key": "string",
"label": "string",
"to_object_kind": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}